
var to = require('to-case')

module.exports = function(state, action, callback) {
  var strCase = to.camel(action.input['Text case'])
  var text = action.input.Text
  var result = to[strCase](text)
  return result
}
